<template>
  <slot />
</template>

<script setup lang="ts">
import { provideSomeThemeColor } from './ThemeDefine';

defineOptions({
  options: {
    virtualHost: true
  }
})

const props = defineProps({
  colors: Object,
})

provideSomeThemeColor(props.colors || {});
</script>